Package be.e_contract.ejsf

# Class Environment

java.lang.Object
be.e_contract.ejsf.Environment

public class Environment extends Object

## Constructor Summary

Constructors
Constructor
Description
`Environment()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getResourceHandlerResourceIdentifier()`
`static String`
`getVersion()`
`static boolean`
`hasCaffeine()`
`static boolean`
`hasCommonsValidator()`
`static boolean`
`hasOwaspHtmlSanitizer()`
`static boolean`
`hasPassay()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Environment

public Environment()

## Method Details

### hasCommonsValidator

public static boolean hasCommonsValidator()

### hasOwaspHtmlSanitizer

public static boolean hasOwaspHtmlSanitizer()

### hasCaffeine

public static boolean hasCaffeine()

### getVersion

public static String getVersion()

### getResourceHandlerResourceIdentifier

public static String getResourceHandlerResourceIdentifier()

### hasPassay

public static boolean hasPassay()